import java.util.ArrayList;
import java.util.Iterator;

import org.netkernel.layer0.nkf.INKFAsyncRequestHandle;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFRequestReadOnly;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.representation.ByteArrayRepresentation;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;


public class StressTestAccessor extends StandardAccessorImpl
{

	@Override
	public void onSource(INKFRequestContext context) throws Exception
	{	String test=context.getThisRequest().getArgumentValue("test");
		int t=Integer.parseInt(test);
		INKFResponse resp=null;
		switch(t)
		{	case 1:
				ArrayList<INKFAsyncRequestHandle> joins1=new ArrayList();
				for(int i=0; i<1000; i++)
				{	INKFRequest req1=context.createRequest("active:testPing");
					joins1.add(context.issueAsyncRequest(req1));
				}
				for(Iterator<INKFAsyncRequestHandle> i=joins1.iterator(); i.hasNext(); )
				{	i.next().join();	
				}
				resp=context.createResponseFrom("hello");
				resp.setExpiry(INKFResponse.EXPIRY_ALWAYS);
			break;
		}
	}
}
