package test.accessors;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.urii.SimpleIdentifierImpl;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class InsideWormholeAccessor extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext aContext)
	{	aContext.createResponseFrom("from the other side");
	}

	@Override
	public void onDelete(INKFRequestContext context) throws Exception
	{	context.createResponseFrom(true);
	}

	@Override
	public void onExists(INKFRequestContext context) throws Exception
	{
		context.createResponseFrom(true);
	}

	@Override
	public void onNew(INKFRequestContext context) throws Exception
	{	context.createResponseFrom(new SimpleIdentifierImpl("res:/wormhole/new"));
	}

	@Override
	public void onSink(INKFRequestContext context) throws Exception
	{	
	}
	
	
	
	
	
}
