package test.basic;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class Test1 extends StandardAccessorImpl
  {

  @Override
  public void onSource(INKFRequestContext context) throws Exception
    {
    String message;
    INKFRequest request;

    request = context.createRequest("active:freemarker");
    request.addArgument("operator", "res:/test/basic/context.ftl");
    request.setRepresentationClass(String.class);

    String result = (String)context.issueRequest(request);


    INKFResponse response = context.createResponseFrom(result);
    response.setMimeType("text/plain");
    }
  }
