package test.hds.serialisation;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.impl.HDSBuilder;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class HDSSet extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext aContext) throws Exception
	{
		IHDSNode operand=aContext.source("arg:operand",IHDSNode.class);
		String xpath=aContext.source("arg:xpath", String.class);
		Object value=aContext.source("arg:value", Object.class);
		HDSBuilder b = new HDSBuilder();
		b.importChildren(operand);
		IHDSNode n=b.getRoot().getFirstNode(xpath);
		b.setCursor(n);
		b.setValue(value);
		aContext.createResponseFrom(b.getRoot());
	}
}
